require File.expand_path(File.dirname(__FILE__) + "/../spec_helper")
require 'ssoroka_hangman_player_1/ssoroka_hangman_player_1'

describe SsorokaHangmanPlayer_1::SsorokaHangmanPlayer_1 do

  before(:each) do
    @player = SsorokaHangmanPlayer_1::SsorokaHangmanPlayer_1.new
  end

  it "should take a word list" do
    @player.word_list = ['apple', 'banana', 'melon']
    @player.instance_variable_get("@words")[6].should == ['banana']
  end
  
  it "should set up new games" do
    @player.new_game(5)
  end
  
  it "should make guesses" do
    @player.word_list = ['apple', 'banana', 'melon', 'elephant']
    @player.new_game(5)
    @player.instance_variable_set("@taken", ['l', 'a', 'e'])
    @player.instance_variable_set("@left", ('a'..'z').to_a - ['l', 'a', 'e'])
    @player.guess('a__le', 3).should == 'p'
  end
  
  it "should update the list of words on correct and incorrect guesses" do
    @player.word_list = ['apple', 'banana', 'melon', 'elephant']
    @player.new_game(5)
    @player.correct_guess('e')
  end
end
